"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectItem = exports.Select = void 0;

var _tools = require("../tools");

const Select = {
  baseStyle: props => {
    const {
      theme
    } = props;
    return {
      _light: {
        customDropdownIconProps: {
          color: 'muted.500'
        },
        _hover: {
          borderColor: 'primary.600'
        },
        _focus: {
          borderColor: 'primary.600',
          bg: (0, _tools.transparentize)('primary.600', 0.1)(theme)
        },
        _disabled: {
          bg: 'muted.100'
        },
        _invalid: {
          borderColor: 'error.600'
        }
      },
      _dark: {
        customDropdownIconProps: {
          color: 'muted.400'
        },
        _hover: {
          borderColor: 'primary.500'
        },
        _focus: {
          borderColor: 'primary.500',
          bg: (0, _tools.transparentize)('primary.500', 0.1)(theme)
        },
        _disabled: {
          bg: 'muted.800'
        },
        _invalid: {
          borderColor: 'error.500'
        }
      },
      customDropdownIconProps: {
        size: '6',
        p: '1'
      },
      _webSelect: {
        appearance: 'none',
        WebkitAppearance: 'none',
        MozAppearance: 'none',
        position: 'absolute',
        width: '100%',
        height: '100%',
        opacity: 0,
        zIndex: 1
      },
      _web: {
        pointerEvents: 'none'
      },
      _disabled: {
        opacity: '80'
      },
      _actionSheetBody: {
        w: '100%'
      },
      _actionSheetContent: {}
    };
  },
  defaultProps: {
    optimized: true
  }
}; // SelectIcon - only for custom variant

exports.Select = Select;
const SelectItem = {
  baseStyle: {
    p: '1',
    px: '2',
    borderRadius: '0',
    minH: '0'
  }
};
exports.SelectItem = SelectItem;
//# sourceMappingURL=select.js.map