declare function roundedStyle(props: Record<string, any>): {
    borderRadius: string;
    borderWidth: string;
    _focus: {
        borderWidth: string;
        bg: string;
    };
    _invalid: {
        borderWidth: string;
    };
};
declare function outlineStyle(props: Record<string, any>): {
    borderWidth: string;
    _focus: {
        borderWidth: string;
        bg: string;
    };
    _invalid: {
        borderWidth: string;
    };
};
declare function filledStyle(props: Record<string, any>): {
    borderWidth: string;
    borderColor: string;
    _focus: {
        borderWidth: string;
        bg: string;
    };
    _hover: {
        borderWidth: string;
    };
    _invalid: {
        borderWidth: string;
    };
    _light: {
        bg: string;
    };
    _dark: {
        bg: string;
    };
};
declare function unstyledStyle(): {
    borderWidth: string;
};
declare function underlinedStyle(): {
    borderWidth: string;
    borderBottomWidth: string;
    _focus: {
        borderBottomWidth: string;
    };
    _invalid: {
        borderBottomWidth: string;
    };
};
export declare const Input: {
    baseStyle: () => {
        fontFamily: string;
        py: string;
        px: string;
        borderRadius: string;
        overflow: string;
        _disabled: {
            opacity: string;
            _web: {
                disabled: boolean;
                cursor: string;
            };
        };
        _web: {
            outlineWidth: string;
            overflow: string;
            lineHeight: string;
            outline: string;
            cursor: string;
        };
        _stack: {
            flexDirection: string;
            alignItems: string;
            overflow: string;
        };
        _input: {
            bg: string;
            flex: number;
        };
        _light: {
            placeholderTextColor: string;
            color: string;
            borderColor: string;
            _hover: {
                borderColor: string;
            };
            _focus: {
                borderColor: string;
            };
            _invalid: {
                borderColor: string;
            };
            _ios: {
                selectionColor: string;
            };
            _android: {
                selectionColor: string;
            };
        };
        _dark: {
            placeholderTextColor: string;
            color: string;
            borderColor: string;
            _hover: {
                borderColor: string;
            };
            _focus: {
                borderColor: string;
            };
            _invalid: {
                borderColor: string;
            };
            _ios: {
                selectionColor: string;
            };
            _android: {
                selectionColor: string;
            };
        };
    };
    defaultProps: {
        size: string;
        variant: string;
    };
    variants: {
        outline: typeof outlineStyle;
        underlined: typeof underlinedStyle;
        rounded: typeof roundedStyle;
        filled: typeof filledStyle;
        unstyled: typeof unstyledStyle;
    };
    sizes: {
        '2xl': {
            fontSize: string;
        };
        xl: {
            fontSize: string;
        };
        lg: {
            fontSize: string;
        };
        md: {
            fontSize: string;
        };
        sm: {
            fontSize: string;
        };
        xs: {
            fontSize: string;
        };
    };
};
declare const _default: {};
export default _default;
